Bug 76736 - ODF import: default-cell-style-name attribute is ignored everywhere when last of table row has no such attribute.
Summary: ODF import: default-cell-style-name attribute is ignored everywhere when last...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA odf
Keywords:
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2014-03-28 13:41 UTC by Dorian
Modified: 2017-07-23 21:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file as mentioned in long description (1.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-28 13:41 UTC, Dorian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dorian 2014-03-28 13:41:43 UTC
Created attachment 96531 [details]
Test file as mentioned in long description

Problem description: 

LibreOffice ignores the table:default-cell-style-name attribute in a <table:table-row> element if the last row in the table does not have this attribute set.

Steps to reproduce:
1. Open attached test.ods in LibreOffice
2. Note that cell text in A1 is in a non-bold font
3. Close document without saving
4. Open test.ods in text editor and change contained content.xml by
5. removing the empty <table:table-row></table:table-row> element at line 16
6. Save test.ods and open in LibreOffice
7. Cell text in A1 is in bold font
  
Current behavior:
It seems that whenever the last row in a table does not have a default-cell-style-name attribute set, the attribute is ignored for all other rows.

Expected behavior:
The cell A1 should always be formatted in bold font, regardless of any other rows.
              
Operating System: Mac OS X
Version: 4.2.0.4 release
Comment 1 Owen Genat (retired) 2014-07-22 10:40:30 UTC
Interesting issue. My reading of ODF v1.2, Part 1, 19.615 supports the view that the table:default-cell-style-name attribute should apply to the row it is an attribute of, irrespective of subsequent row definitions.

Confirmed under MacOS 10.6.8 using v4.3.0.3 (x86) and GNU/Linux x86_64 using v4.2.5.2 and v4.4.0.0alpha+ (2014-07-09). Status set to NEW. Platform set to All/All.
Comment 2 QA Administrators 2015-12-20 16:14:44 UTC Comment hidden (obsolete)
Comment 3 Dorian 2015-12-23 15:43:00 UTC
Bug is still present in LibreOffice 5.0.4.2 under MacOS X 10.10.5.
Comment 4 QA Administrators 2017-01-03 19:54:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103